
Redmine - Defect #32771

Editing issues does not send notifications to previous assignee

2020-01-08 11:35 - Daniel Petat

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.0.4

Description

Hello,

we are using

Environment:

  Redmine version                4.0.4.stable

  Ruby version                   2.5.5-p157 (2019-03-15) [x64-mingw32]

  Rails version                  5.2.3

  Environment                    production

  Database adapter               Mysql2

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

Following steps:

1. I had an issue, created by me, user A, assigned to user B

2. This user then assigned it back to me

3. I added a comment and assigned it to user C.

I expected, that about this 3. action, user B would have been notified, because previously it was assigned to him. I think this was

meant by "Involved in".

But he said, he didn't get an e-mail notification.

The user said to me, that his mail option is "Only for things I watch or I'm involved in".

Other notifications about issues which are directly assigned to him work well.

This behaviour was already described and fixed in #26627. Is it possible, that it was reintroduced in version 4.0.x ?

Best regards

Daniel

Related issues:

Related to Redmine - Feature #2716: User option to automatically add assignee... New 2009-02-11

History

#1 - 2020-01-09 06:28 - Mischa The Evil

- Status changed from New to Needs feedback

- Resolution set to Invalid

Daniel Petat wrote:

[...]

Following steps:

1. I had an issue, created by me, user A, assigned to user B

2. This user then assigned it back to me

3. I added a comment and assigned it to user C.
https://www.redmine.org/issues/26627


I expected, that about this 3. action, user B would have been notified, because previously it was assigned to him.

 I think that this is an incorrect expectation. After step 2. the previous assignee is user A, not user B as the assignee set in step 2. is user A. So when

the assignee is set to user C in step 3. the previous assignee is user A and not user B.

This behaviour was already described and fixed in #26627. Is it possible, that it was reintroduced in version 4.0.x ?

 I don't think so.

#2 - 2020-01-09 09:28 - Daniel Petat

Mischa The Evil wrote:

Daniel Petat wrote:

[...]

Following steps:

1. I had an issue, created by me, user A, assigned to user B

2. This user then assigned it back to me

3. I added a comment and assigned it to user C.

I expected, that about this 3. action, user B would have been notified, because previously it was assigned to him.

 I think that this is an incorrect expectation. After step 2. the previous assignee is user A, not user B as the assignee set in step 2. is user A. So

when the assignee is set to user C in step 3. the previous assignee is user A and not user B.

 Oh, I am sorry.

I thought "previous assignee" would mean everybody, to whom the issue has ever been assigned to.

Would it make sense, to add such an option?

#3 - 2020-01-12 16:55 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed

Daniel Petat wrote:

Oh, I am sorry.

I thought "previous assignee" would mean everybody, to whom the issue has ever been assigned to.

Would it make sense, to add such an option?

 #2716 should cover this request by adding the assignees as watchers. In this way, user B will receive the notifications.

#4 - 2020-01-12 16:55 - Marius BĂLTEANU

- Related to Feature #2716: User option to automatically add assignee to watchers added
